package cn.com.ctop.reimburse.mondule.service;

import cn.com.ctop.reimburse.mondule.entity.ReimburseApply;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 报销申请提交表
 *
 * @author jeecg-boot
 * 2022-11-21
 * @version V1.0
 */
public interface IReimburseApplyService extends IService<ReimburseApply> {

    Result<Object> queryPageList(ReimburseApply reimburseApply, Integer pageNo, Integer pageSize);

    List<JSONObject> queryList(ReimburseApply reimburseApply);

    Result<Object> add(JSONObject data) throws Exception;

    Result<Object> edit(JSONObject data) throws Exception;

    Result<Object> submitReview(String id);

    List<JSONObject> getCompanyList();

    List<JSONObject> queryProcess(Long applyId);
}
